The Transactions Connect API allows sellers to view and accept shipping requests, which initiates the shipping transaction. You can then track the transaction status until the buyer receives the item.
Transactions Connect API (0.0.1)
- Productionhttps://connect.wallapop.com/transactions/requests/pending
curl -i -X GET \
https://connect.wallapop.com/transactions/requests/pending \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "requests": [ { "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_id": "3e9wzv7zlmdr", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" }, "buyer_user_id": "v9owzy2j5g7x", "carrier_drop_off_options": { "options": [ { … } ] } } ] }
- Productionhttps://connect.wallapop.com/transactions/requests/{requestId}
curl -i -X GET \
'https://connect.wallapop.com/transactions/requests/{requestId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The shipping request was successfully retrieved.
The unique identifier for the shipping request.
The list contains items selected by the buyer, with each item identified by its unique ID.
Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information.
A unique identifier generated by Wallapop to identify the buyer for this specific shipping request.
{ "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" }, "buyer_user_id": "v9owzy2j5g7x", "carrier_drop_off_options": { "options": [ { "drop_off_mode": "post office", "carrier": "Seur", "carrier_drop_off_cost": { "amount": 300.89, "currency": "EUR" } } ] }, "status": "pending" }
Request
Accept a shipping request with home pickup, where the carrier collects the package directly from the seller's shipping address. The client app must generate and pass a transaction_id.
- Productionhttps://connect.wallapop.com/transactions/requests/{requestId}/accept/home-pickup
curl -i -X POST \
'https://connect.wallapop.com/transactions/requests/{requestId}/accept/home-pickup' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"transaction_id": "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
}'The shipping request was successfully accepted for home pickup. There is no content to display.
No contentRequest
Accept a shipping request for post office drop-off, where the seller delivers the package to a designated post office. The client app must generate and pass a transaction_id.
- Productionhttps://connect.wallapop.com/transactions/requests/{requestId}/accept/post-office
curl -i -X POST \
'https://connect.wallapop.com/transactions/requests/{requestId}/accept/post-office' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"transaction_id": "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
}'- Productionhttps://connect.wallapop.com/transactions/pending
curl -i -X GET \
https://connect.wallapop.com/transactions/pending \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "transactions": [ { "id": "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd", "request_id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_id": "3e9wzv7zlmdr", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_user_id": "v9owzy2j5g7x", "delivery_status": "delivered", "carrier_drop_off_mode": "post office", "carrier": "Seur", "carrier_tracking_code": "SEURESITM1S8DWA", "delivery_label_url": "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg", "delivery_id": "ffbb8752-bde8-40e4-ba59-bf6354f7edff", "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" } } ] }
- Productionhttps://connect.wallapop.com/transactions/{transactionId}
curl -i -X GET \
'https://connect.wallapop.com/transactions/{transactionId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Successfully retrieved the shipping transaction.
The ID of the shipping request associated with this transaction.
The list of item IDs from the shipping request associated with the transaction.
A unique identifier generated by Wallapop to identify the buyer for the shipping request associated with this transaction.
The transaction status. The possible statuses are the same as in PendingTransactionResponse.
The method by which the carrier will receive the item either through the seller's drop-off at the post office or a pickup from the seller's home.
The company or service responsible for transporting and delivering packages from the seller to the buyer. Examples include Correos, Seur, InPost, External if carrier agnostic, and other shipping providers.
The shipment tracking code generated by the carrier.
The shipping label URL.
The delivery id, set when the transaction is linked to a delivery.
{ "id": "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd", "request_id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_user_id": "v9owzy2j5g7x", "delivery_status": "delivered", "carrier_drop_off_mode": "post office", "carrier": "Seur", "carrier_tracking_code": "SEURESITM1S8DWA", "delivery_label_url": "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg", "delivery_id": "ffbb8752-bde8-40e4-ba59-bf6354f7edff", "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" } }
Request
Registers a delivery for a transaction with transaction_id. Seller needs to register the delivery when the package is registered into their carrier of choice.
Contains all necessary information for a delivery from seller to buyer.
- Productionhttps://connect.wallapop.com/transactions/{transactionId}/delivery/register
curl -i -X POST \
'https://connect.wallapop.com/transactions/{transactionId}/delivery/register' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"shipment_to_buyer": {
"tracking_code": "string",
"tracking_url": "string"
},
"shipment_to_seller": {
"tracking_code": "string",
"tracking_url": "string",
"label_url": "string",
"label_file_type": "PNG",
"label_type": "BARCODE"
}
}'